Bug 1280416 - Copr inserts @ in the id of the repo, causing it not to work
Copr inserts @ in the id of the repo, causing it not to work
Status: CLOSED ERRATA
Product: Copr
Classification: Community
Component: backend (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 12:09 EST by Mustafa Muhammad
Modified: 2015-11-30 18:24 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 18:24:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mustafa Muhammad 2015-11-11 12:09:52 EST
Description of problem:
I tried to us:
dnf copr enable @kdesig/plasma-5-unstable

But the repo file had the id:
[@kdesig-plasma-5-unstable]

And this didn't work.
[root@linux-wyjf /]# dnf repolist
Bad id for repo: @kdesig-plasma-5-unstable, byte = @ 0


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Miroslav Suchý 2015-11-13 07:32:58 EST
Fixed in dnf-plugins-core in commit:
* 60c2606 (HEAD -> master, origin/master, origin/HEAD) do not use @ in repoid (RhBug:1280416)

Fixed in Copr.git in commit:
* 23341d4 1280416 - do not use @ in repo id
Comment 2 Fedora Update System 2015-11-16 14:07:48 EST
dnf-plugins-core-0.1.14-1.fc23 dnf-1.1.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe6e8b885b
Comment 3 Miroslav Suchý 2015-11-18 03:28:53 EST
This has been deployed in production now.
Comment 4 Fedora Update System 2015-11-18 11:26:45 EST
dnf-1.1.4-1.fc22 dnf-plugins-core-0.1.14-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6137119aff
Comment 5 Fedora Update System 2015-11-18 11:52:35 EST
dnf-1.1.4-1.fc23, dnf-plugins-core-0.1.14-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf dnf-plugins-core'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe6e8b885b
Comment 6 Fedora Update System 2015-11-19 04:52:37 EST
dnf-1.1.4-1.fc23, dnf-plugins-core-0.1.14-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-11-19 09:51:40 EST
dnf-1.1.4-1.fc22, dnf-plugins-core-0.1.14-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugins-core dnf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6137119aff
Comment 8 Fedora Update System 2015-11-30 18:23:44 EST
dnf-1.1.4-1.fc22, dnf-plugins-core-0.1.14-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.